/*
 Theme Name:     Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Divi Child Theme
 Author:         Elegant Themes
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */

h1, h2, h3, h4, h5, h6 {
    line-height: 120% !important;
}

.et_pb_slider .et_pb_slide_1 {
    height: 600px;
}


a {
    color: #e64805;
}
#top-menu li.current-menu-item > a,
#top-menu li.current-menu-ancestor > a,
.nav li ul .current-menu-item a {
    color: #e64805 !important;
}
.et_pb_slide_image, .et_pb_slide_video {
width:100% !important;
}

/* remove title from lightbox */
.mfp-bottom-bar {
display: none;
}


/* image padding */
img.alignleft {
padding: 10px 20px 10px 0px;
}

img.alignright {
padding: 10px 0px 10px 20px;;
}

.et_pb_post {
margin-bottom: 120px;
}

/* Blog post seperator */
.et_pb_post {
margin-bottom: 100px;
border-bottom: 2px solid #b93c05;
padding-bottom: 40px;
}

.et_had_animation {
    width: 100%;
} 

/* Top Bar Social Icons */

@media (max-width: 767px) {

#top-header #et-info,
#et-info .et-social-icons {
	display: block !important;
}

#top-header #et-info #et-info-email {
	display: block;
	margin-top: 7px;
}

#et-info .et-social-icons {
    margin-top: 20px;
	margin-bottom: 3px;
}

}

/* Titles */

h1 {
	text-shadow: 0 1px 3px rgba(0,0,0,.3);
}

/* Header Custom */

#top-header {
	display:  none;
}



.mobmenul-container { top: 0px !important; }

.mob-menu-logo-holder {  box-shadow: 0px 0px 8px 0px rgba(0,0,0,1); }

#mobmenuleft li li {
	display: none;
}



  .mobmenul-container i {
    line-height: 40px;
    font-size: 40px;
    float: left;
    margin-top: 14px;
  }

 .mob-cancel-button {
    font-size: 30px !important;
    margin: 16px;
  }

.grn_button {
	color: #ffffff !important;
  border-width: 0px !important;
  border-color: rgba(0,0,0,0);
  border-radius: 0px;
  font-size: 18px;
  background-color: #90aa87;
font-weight: 500;
  padding: .5em 1em;
  line-height: 1.7em !important;
  border: 2px solid;
	transition: all 300ms ease 0ms;
	top: 10px;
	position: relative;
}

.grn_button:hover {
	border: 2px solid transparent;
	padding: .5em 2em .5em .7em;
	transition: all 300ms ease 0ms;
}

.grn_button::after {
  font-family: ETmodules !important;
  font-size: 29px;
  color: #ffffff !important;
  line-height: 1em;
  content: "\35";
  opacity: 0;
  position: absolute;
  margin-left: -1em;
  transition: all 300ms ease 0ms;
  top: 6px;
}

.grn_button:hover::after {
	opacity: 1;
	margin-left: 0;
	transition: all 300ms ease 0ms;
}


/* Homepage Snap Custom */

body.home { overflow-y: hidden; }

body.home #page-container {
  overflow-y: scroll; /* Ensures vertical scrolling is possible */
  height: 92dvh;      /* Defines the container's height (e.g., full screen height) */
  top: 8dvh;
  scroll-snap-type: y mandatory; /* Enable mandatory vertical scroll snapping */
  scrollbar-width: thin;
}

body.home #et-main-area {
	height: 92dvh;
}

.snap-section {
  height: 92dvh; /* Makes each section fill the viewport for a full-page snap effect */
  scroll-snap-align: start; /* Snap the start of the section to the start of the container */
}

.snap-section-testimonial {
  scroll-snap-align: start; /* Snap the start of the section to the start of the container */
}

body.home #main-footer {
	scroll-snap-align: end;
}
.et_pb_divider {
  background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTAwJSIgaGVpZ2h0PSIxMDBweCIgdmlld0JveD0iMCAwIDEyODAgMTQwIiBwcmVzZXJ2ZUFzcGVjdFJhdGlvPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPjxnIGZpbGw9IiNmZmZmZmYiPjxwYXRoIGQ9Ik0xMjgwIDBMNjQwIDcwIDAgMHYxNDBsNjQwLTcwIDY0MCA3MFYweiIgZmlsbC1vcGFjaXR5PSIuNSIvPjxwYXRoIGQ9Ik0xMjgwIDBIMGw2NDAgNzAgNjQwLTcweiIvPjwvZz48L3N2Zz4=);
  background-size: 121% 50px;
  top: -2px;
  height: 50px !important;
  z-index: 1;
  transform: scale(1,1);
	display: block;
  background-repeat-y: no-repeat;
  height: 100%;
  position: absolute;
  pointer-events: none;
  width: 100%;
  left: 0;
  right: 0;
}

.et_pb_divider::before {
	border-top: none;
}

.vert-align { 
	width: 100%; 
	display: flex;
	align-items: center;
}

.vert-align .et_pb_text_inner {
	width: 100%;
	color: #606060;
}

/* Home Page Sliders CSS */

 		.swiper {
            width: 100%;
            margin: 0 auto;
            position: relative;
            overflow: hidden;
			--swiper-navigation-sides-offset: 20px;
        }

        .swiper-wrapper {
            display: flex;
            transition-property: transform;
            box-sizing: content-box;
			box-shadow: inset 8px 0px 0px 0px rgba(0,0,0,1);
        }

        .swiper-slide {
            flex-shrink: 0;
            display: flex;
            justify-content: center;  /* Center slide contents */
            align-items: center;
            text-align: center;
            width: 100%;  /* Ensure each slide takes up the full available space */
            max-width: 100%;
            box-sizing: border-box; /* Avoid any clipping of content */
        }

		.swiper-slide-bg {
			display: table;
			table-layout: fixed;
			width: 100%;
			background-size: cover;
			background-position:  center;
			box-shadow: inset 0px 0px 8px 0px rgba(0,0,0,1);
	
		}

		.swiper-slide-description {
			-webkit-animation-duration: 2s;
			animation-duration: 2s;
			-webkit-animation-delay: 0s;
			animation-delay: 0s;
			-webkit-animation-timing-function: ease-in-out;
			animation-timing-function: ease-in-out;
			-webkit-animation-fill-mode: both;
			animation-fill-mode: both;
			-webkit-animation-name: fadeBottom;
			animation-name: fadeBottom;
			display: table-cell;
		  	vertical-align: middle;
			margin: auto;
		}

		.swiper-slide-readmore {
			border-radius: 0px;
			color: #ffffff;
			text-shadow: none;
			text-decoration: none;
			display: inline-block;
			margin-top: 20px;
			font-weight: 500;
			padding: .3em 1em;
			line-height: 1.7em !important;
			background-color: transparent;
			background-size: cover;
			background-position: 50%;
			background-repeat: no-repeat;
			border: 2px solid;
			border-radius: 3px;
			-webkit-transition-duration: .2s;
			transition-duration: .2s;
			-webkit-transition-property: all !important;
			transition-property: all !important;
		}

		.swiper-slide-readmore::after {
			font-size: 32px;
			line-height: 1em;
			font-family: 'ETmodules'; /* Tells Divi to use its built-in font */
			content: "\35";
			opacity: 0;
			position: absolute;
			margin-left: -1em;
			-webkit-transition: all .2s;
			transition: all .2s;
			text-transform: none;
			-webkit-font-feature-settings: "kern" off;
			font-feature-settings: "kern" off;
			font-variant: none;
			font-style: normal;
			font-weight: 400;
			text-shadow: none;
		}

		.swiper-slide-readmore:hover {
			border: 2px solid transparent;
  			padding: .3em 2em .3em .7em;
			background-color: hsla(0,0%,100%,.2);

		}

		.swiper-slide-readmore:hover::after {
			opacity: 1;
		  	margin-left: 0;
		}

        .swiper-slide img {
            width: 100%;
            height: auto;
        }

        /* Navigation buttons */
        .swiper-button-next,
        .swiper-button-prev {
            position: absolute;
            top: 50%;
            width: 50px;
            height: 50px;
            margin-top: -20px;  /* Center the arrows vertically */
            z-index: 10;
            cursor: pointer;
            border-radius: 50%;
			background: none;
            /* background: linear-gradient(45deg, #FF5722, #FF8A00);  /* Gradient background */
            display: flex;
            justify-content: center;
            align-items: center;
            color: #fff;
            font-size: 40px;  /* Larger arrow size */
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
            transition: background-color 0.3s ease, transform 0.3s ease;
        }

        /* Move the arrows further from the content */


        .swiper-button-next {
            right: 2px;  /* Increase the distance from the right edge */
        }
		.swiper-button-next::after {
			font-family: 'ETmodules'; /* Tells Divi to use its built-in font */
			content: "\35";
		}

        .swiper-button-prev {
            left: 2px;  /* Increase the distance from the left edge */
        }

		.swiper-button-prev::after {
			font-family: 'ETmodules'; /* Tells Divi to use its built-in font */
			content: "\34";
		}

        /* Hover effect for arrows */
        .swiper-button-next:hover,
        .swiper-button-prev:hover {
            /* background-color: rgba(255, 255, 255, 0.9);
            transform: scale(1.1);  /* Slightly enlarge on hover */
        }
		
		.swiper-navigation-icon { display: none; }
        /* Pagination style */
        .swiper-pagination {
            position: absolute;
            bottom: -20px;
            left: 0;
            right: 0;
            text-align: center;
            z-index: 5;
        }

        .swiper-pagination-bullet {
            background-color: hsla(0,0%,100%,.5);
        }

        .swiper-pagination-bullet-active {
            background-color: hsla(0,0%,100%,1);
        }

        .swiper-slide h3 {
            margin-top: 0px;
			font-weight: bolder;
  			font-style: normal;SW
  			text-transform: none;
  			text-decoration: none;
			color: #fff;
			line-height: 120% !important;
			text-shadow: 0 3px 3px rgba(0,0,0,1);
        }

        .swiper-slide p {
            color: #fff;
			font-weight: 400;
			text-shadow: 0 1px 3px rgba(0,0,0,.3);
			text-align: center;
  			list-style: none;
			font-family: 'Open Sans',Helvetica,Arial,Lucida,sans-serif;
        }

        .swiper-slide:hover .overlay {
            opacity: 1;
        }

        .swiper-slide .overlay {
            position: absolute;
            bottom: 0;
            background-color: rgba(0, 0, 0, 0.5);
            color: white;
            width: 100%;
            text-align: center;
            padding: 10px;
            opacity: 0;
            transition: opacity 0.3s ease;
        }

/* Services Listing */

.services.listing .swiper-slide {
	padding: 10px 0px;
}